<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (10.0.1) on Tue Sep 25 17:42:32 CEST 2018 -->
<title>ShoppingCartHelper</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="date" content="2018-09-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-1.10.2.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ShoppingCartHelper";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ShoppingCartHelper.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../helperClasses/PasswordCheckHelper.html" title="class in helperClasses"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../helperClasses/ShoppingCartItem.html" title="class in helperClasses"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?helperClasses/ShoppingCartHelper.html" target="_top">Frames</a></li>
<li><a href="ShoppingCartHelper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="../helperClasses/package-summary.html">helperClasses</a></div>
<h2 title="Class ShoppingCartHelper" class="title">Class ShoppingCartHelper</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>helperClasses.ShoppingCartHelper</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">ShoppingCartHelper</span>
extends java.lang.Object</pre>
<div class="block">The Class ShoppingCartHelper. It contains methods to handle the shopping cart.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>John Edwin Braun</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartHelper.html#ShoppingCartHelper--">ShoppingCartHelper</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartHelper.html#addToShoppingCart-javax.servlet.http.HttpSession-java.lang.String-java.lang.String-">addToShoppingCart</a></span>&#8203;(javax.servlet.http.HttpSession&nbsp;p_session,
                 java.lang.String&nbsp;p_articleNo,
                 java.lang.String&nbsp;p_amount)</code></th>
<td class="colLast">
<div class="block">Adds an article to the shopping cart</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartHelper.html#deleteAll-javax.servlet.http.HttpSession-">deleteAll</a></span>&#8203;(javax.servlet.http.HttpSession&nbsp;p_session)</code></th>
<td class="colLast">
<div class="block">Deleting all positions from the shopping cart.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartHelper.html#deletePosition-javax.servlet.http.HttpSession-java.lang.String-">deletePosition</a></span>&#8203;(javax.servlet.http.HttpSession&nbsp;p_session,
              java.lang.String&nbsp;p_positionNo)</code></th>
<td class="colLast">
<div class="block">Delete a position from the shopping cart.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../helperClasses/ShoppingCartItem.html" title="class in helperClasses">ShoppingCartItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../helperClasses/ShoppingCartHelper.html#getShoppingCartItemList-javax.servlet.http.HttpSession-">getShoppingCartItemList</a></span>&#8203;(javax.servlet.http.HttpSession&nbsp;p_session)</code></th>
<td class="colLast">
<div class="block">Get all shopping cart items from the shopping cart.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ShoppingCartHelper--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ShoppingCartHelper</h4>
<pre>public&nbsp;ShoppingCartHelper()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addToShoppingCart-javax.servlet.http.HttpSession-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addToShoppingCart</h4>
<pre>public&nbsp;void&nbsp;addToShoppingCart&#8203;(javax.servlet.http.HttpSession&nbsp;p_session,
                              java.lang.String&nbsp;p_articleNo,
                              java.lang.String&nbsp;p_amount)</pre>
<div class="block">Adds an article to the shopping cart</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_session</code> - Session</dd>
<dd><code>p_articleNo</code> - Article number</dd>
<dd><code>p_amount</code> - Amount</dd>
</dl>
</li>
</ul>
<a name="getShoppingCartItemList-javax.servlet.http.HttpSession-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShoppingCartItemList</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../helperClasses/ShoppingCartItem.html" title="class in helperClasses">ShoppingCartItem</a>&gt;&nbsp;getShoppingCartItemList&#8203;(javax.servlet.http.HttpSession&nbsp;p_session)</pre>
<div class="block">Get all shopping cart items from the shopping cart.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_session</code> - Session</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of shopping cart items</dd>
</dl>
</li>
</ul>
<a name="deletePosition-javax.servlet.http.HttpSession-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deletePosition</h4>
<pre>public&nbsp;void&nbsp;deletePosition&#8203;(javax.servlet.http.HttpSession&nbsp;p_session,
                           java.lang.String&nbsp;p_positionNo)</pre>
<div class="block">Delete a position from the shopping cart.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_session</code> - Session</dd>
<dd><code>p_positionNo</code> - Position number</dd>
</dl>
</li>
</ul>
<a name="deleteAll-javax.servlet.http.HttpSession-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>deleteAll</h4>
<pre>public&nbsp;void&nbsp;deleteAll&#8203;(javax.servlet.http.HttpSession&nbsp;p_session)</pre>
<div class="block">Deleting all positions from the shopping cart.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p_session</code> - Session</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ShoppingCartHelper.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../helperClasses/PasswordCheckHelper.html" title="class in helperClasses"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../helperClasses/ShoppingCartItem.html" title="class in helperClasses"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?helperClasses/ShoppingCartHelper.html" target="_top">Frames</a></li>
<li><a href="ShoppingCartHelper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
